Bug 858058 - Review Request: mingw-qt5-qtbase - Qt5 for Windows - QtBase component
Review Request: mingw-qt5-qtbase - Qt5 for Windows - QtBase component
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: greg.hellings
Fedora Extras Quality Assurance
:
Depends On: 891011
Blocks: 858063 858065 858073 1205457 1205458 858061 858062 858064 858066 858067 858068 858069 858070 858074 858076 858077 858078 858079 858080 858082 858084 858085 1057909 1057910 1057911 1205459
  Show dependency treegraph
 
Reported: 2012-09-17 18:22 EDT by Erik van Pienbroek
Modified: 2015-03-24 19:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-07 21:04:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
greg.hellings: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2012-09-17 18:22:43 EDT
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtbase/mingw-qt5-qtbase.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qtbase-5.0.0-0.10.beta1.fc17.src.rpm
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.
Comment 1 Erik van Pienbroek 2012-10-07 15:38:20 EDT
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtbase/mingw-qt5-qtbase.spec
Updated SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qtbase-5.0.0-0.11.beta1.fc18.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4568485

* Sun Oct  7 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.11.beta1
- Fix compilation failure of the win64 build when using c++11 mode
Comment 2 Erik van Pienbroek 2012-11-13 06:08:10 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtbase/mingw-qt5-qtbase.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-qt5-qtbase-5.0.0-0.13.beta1.git20121110.d725239c.fc19.src.rpm

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4681851

* Sat Nov 10 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.13.beta1.git20121110.d725239c
- Update to 20121110 snapshot (rev d725239c)
- Dropped the configure argument -qtlibinfix 5 as upstream
  has resolved the file conflicts with Qt4 properly now
- Added several missing flags to the mkspecs profiles
- Dropped the pkg-config file renames as they're not needed any more
- Dropped two obsolete patches

* Sat Nov 10 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.12.beta1.git20121103.ccc4fbdf
- Update to 20121103 snapshot (rev ccc4fbdf)
- Use -std=c++11 instead of -std=c++0x as the latter is deprecated in gcc 4.7
- Added DirectWrite support
- Added Angle support
Comment 3 Erik van Pienbroek 2012-12-31 14:27:13 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtbase/mingw-qt5-qtbase.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtbase/5.0.0/3.fc18/src/mingw-qt5-qtbase-5.0.0-3.fc18.src.rpm

==

Earlier builds of this package contained a bundled copy of the ANGLE library. As specified by the packaging guidelines it is forbidden to use bundled copies of external libraries. Therefore a separate mingw-angleproject package was created: bug 891011

==

* Sat Dec 29 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-3
- The define QT_NEEDS_QMAIN also needs to be set for our mkspecs profiles
- To make linking against qt5main.a (which contains a Qt specific WinMain) work
  binaries need to be linked with -lmingw32 -lqt5main
- Resolves some initialisation issues
- Don't enable ICU support as it introduces over 20MB of dependency bloat

* Sat Dec 29 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-2
- Don't segfault when no suitable platform dll could be located

* Mon Dec 24 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-1
- Update to Qt 5.0.0 Final
- Use the qplatformdefs.h header which is included in the
  win32-g++ mkspecs profile instead of providing our own
- Replaced the bundled copy of the ANGLE libraries with
  a seperate mingw-angleproject package

* Thu Dec 13 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.15.rc2
- Update to Qt 5.0.0 RC2
- Dropped upstreamed DirectWrite patch

* Fri Dec  7 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.14.rc1
- Update to Qt 5.0.0 RC1
- Replaced various hack with proper patches
- Use the configure argument -archdatadir as it is used to decide
  where the mkspecs profiles should be installed
Comment 4 greg.hellings 2013-01-04 12:56:44 EST
As I note below, it wouldn't build on Fedora 17 x86_64 for me but built in a Fedora 18 x86_64 environment. Perhaps some out of date package. Otherwise, everything looks good to me here. We discussed the rpmlint warnings. Documentation is in the qmake package, the patch is applied but not through the patch macros, the macro in the regeneration directions is fine and the rest are standard warnings for MinGW packages.

+rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
$ rpmlint results/mingw*rpm
mingw32-qt5-qmake.x86_64: E: script-without-shebang /usr/i686-w64-mingw32/sys-root/mingw/share/qt5/mkspecs/macx-xcode/Info.plist.app
mingw32-qt5-qmake.x86_64: W: no-manual-page-for-binary i686-w64-mingw32-uic-qt5
mingw32-qt5-qmake.x86_64: W: no-manual-page-for-binary i686-w64-mingw32-rcc-qt5
mingw32-qt5-qmake.x86_64: W: no-manual-page-for-binary i686-w64-mingw32-qdbusxml2cpp-qt5
mingw32-qt5-qmake.x86_64: W: no-manual-page-for-binary i686-w64-mingw32-qdbuscpp2xml-qt5
mingw32-qt5-qmake.x86_64: W: no-manual-page-for-binary i686-w64-mingw32-syncqt-qt5
mingw32-qt5-qmake.x86_64: W: no-manual-page-for-binary i686-w64-mingw32-qmake-qt5
mingw32-qt5-qmake.x86_64: W: no-manual-page-for-binary mingw32-qmake-qt5
mingw32-qt5-qmake.x86_64: W: no-manual-page-for-binary i686-w64-mingw32-qdoc-qt5
mingw32-qt5-qmake.x86_64: W: no-manual-page-for-binary i686-w64-mingw32-moc-qt5
mingw32-qt5-qtbase.noarch: W: no-documentation
mingw32-qt5-qtbase-debuginfo.noarch: E: debuginfo-without-sources
mingw32-qt5-qtbase-static.noarch: W: no-documentation
mingw64-qt5-qmake.x86_64: E: script-without-shebang /usr/x86_64-w64-mingw32/sys-root/mingw/share/qt5/mkspecs/macx-xcode/Info.plist.app
mingw64-qt5-qmake.x86_64: W: no-manual-page-for-binary x86_64-w64-mingw32-moc-qt5
mingw64-qt5-qmake.x86_64: W: no-manual-page-for-binary x86_64-w64-mingw32-qdbusxml2cpp-qt5
mingw64-qt5-qmake.x86_64: W: no-manual-page-for-binary x86_64-w64-mingw32-rcc-qt5
mingw64-qt5-qmake.x86_64: W: no-manual-page-for-binary mingw64-qmake-qt5
mingw64-qt5-qmake.x86_64: W: no-manual-page-for-binary x86_64-w64-mingw32-uic-qt5
mingw64-qt5-qmake.x86_64: W: no-manual-page-for-binary x86_64-w64-mingw32-syncqt-qt5
mingw64-qt5-qmake.x86_64: W: no-manual-page-for-binary x86_64-w64-mingw32-qdoc-qt5
mingw64-qt5-qmake.x86_64: W: no-manual-page-for-binary x86_64-w64-mingw32-qmake-qt5
mingw64-qt5-qmake.x86_64: W: no-manual-page-for-binary x86_64-w64-mingw32-qdbuscpp2xml-qt5
mingw64-qt5-qtbase.noarch: W: no-documentation
mingw64-qt5-qtbase-debuginfo.noarch: E: debuginfo-without-sources
mingw64-qt5-qtbase-static.noarch: W: no-documentation
mingw-qt5-qtbase.src:35: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtbase.src:35: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtbase.src: W: patch-not-applied Patch2: qt-4.7.3-fix-loading-openssl.patch.in

+The package must be named according to the Package Naming Guidelines .
+The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
+The package must meet the Packaging Guidelines .
+The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
+The License field in the package spec file must match the actual license.
+If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
+The spec file must be written in American English.
+The spec file for the package MUST be legible.
+The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
+The package MUST successfully compile and build into binary rpms on at least one primary architecture.

Won't build on f17 but built successfully in a Fedora 18 mock root. Tested on x86_64

+If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
+All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
+The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
(n/a)Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
+Packages must NOT bundle copies of system libraries.
(n/a) If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
+A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
+A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
+Permissions on files must be set properly. Executables should be set with executable permissions, for example.
+Each package must consistently use macros.
+The package must contain code, or permissable content.
+Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
+If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
+Static libraries must be in a -static package.
(n/a) Development files must be in a -devel package.
(n/a) In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
+Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
+Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
+Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
+All filenames in rpm packages must be valid UTF-8.
Comment 5 Erik van Pienbroek 2013-01-26 07:10:12 EST
New Package SCM Request
=======================
Package Name: mingw-qt5-qtbase
Short Description: Qt5 for Windows - QtBase component
Owners: epienbro
Branches: f17 f18
InitialCC:
Comment 6 Gwyn Ciesla 2013-01-27 16:32:40 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-01-28 09:40:43 EST
mingw-qt5-qtbase-5.0.0-3.fc18,mingw-angleproject-0-0.3.svn1561.20121214.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-qt5-qtbase-5.0.0-3.fc18,mingw-angleproject-0-0.3.svn1561.20121214.fc18
Comment 8 Fedora Update System 2013-01-28 09:45:24 EST
mingw-headers-2.0.999-0.9.trunk.20121016.fc17,mingw-dbus-1.4.24-1.fc17,mingw-qt5-qtbase-5.0.0-3.fc17,mingw-angleproject-0-0.3.svn1561.20121214.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-headers-2.0.999-0.9.trunk.20121016.fc17,mingw-dbus-1.4.24-1.fc17,mingw-qt5-qtbase-5.0.0-3.fc17,mingw-angleproject-0-0.3.svn1561.20121214.fc17
Comment 9 Fedora Update System 2013-01-29 19:37:42 EST
mingw-qt5-qtbase-5.0.0-3.fc18, mingw-angleproject-0-0.3.svn1561.20121214.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-02-07 21:04:20 EST
mingw-headers-2.0.999-0.9.trunk.20121016.fc17, mingw-dbus-1.4.24-1.fc17, mingw-qt5-qtbase-5.0.0-3.fc17, mingw-angleproject-0-0.3.svn1561.20121214.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2013-02-07 21:04:52 EST
mingw-qt5-qtbase-5.0.0-3.fc18, mingw-angleproject-0-0.3.svn1561.20121214.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.